#include <stdio.h>
#include <math.h>
#include <stdlib.h>
int main()
{
    int L,R,n,i=0;
    float p,q,r;
    scanf("%f %f %f %d %d", %p,%q,%r,%L,%R);
    for(n=L;n<=R;n++)
    {
        if((ceil(n/p)+ceil(n/q)+ceil(n/r))<=n) i++;
    }
    print("%d", i);
}